Subject: [sup-talk] [PATCH 0/4] Read and compose simultaneously

From: Ramkumar Ramachandra <[email-masked]>
Date: Sat, 10 Apr 2010 16:06:07 +0530

This patch series will allow sup to read and compose in separate
threads when the user wishes to do so.

It's still an early WIP, and I've posted it to the list so I can get a
wider test audience, and more importantly comments on my design. It's
been hacked together in a few hours, *very* buggy at the moment. I've
only minimally tested it with `emacsclient`.

I'd also appreciate any general style comments: I've never written a
line of Ruby prior to this.

Applies cleanly to `next`.
Thanks.

-- Ram

Ramkumar Ramachandra (4):
  Add method to shell out asynchronously
  Poll for editor status
  Callback to compose
  Appropriate call to shell_out_async

 lib/sup/buffer.rb                  |   20 ++++++++++++
 lib/sup/modes/compose-mode.rb      |   17 ++++++++++
 lib/sup/modes/edit-message-mode.rb |   58 +++++++++++++++++++----------------
 lib/sup/poll.rb                    |   31 ++++++++++++++++++-
 4 files changed, 98 insertions(+), 28 deletions(-)

_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk